Subject: bug#857 closed by [email-masked] (#857: fixed in src:slim version 1.4.1-1devuan1+excalibur1)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Sat, 11 Oct 2025 08:46:03 +0000

This is an automatic notification regarding your bug report
which was filed against the slim package:

#857: slim 1.4.1 auto_login window bug

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
857: https://bugs.devuan.org/cgi/bugreport.cgi?bug=857
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #857: fixed in src:slim version 1.4.1-1devuan1+excalibur1
From: [email-masked]
To: [email-masked]
Date: Sat, 11 Oct 2025 08:44:35 +0000

Version: 1.4.1-1devuan1+excalibur1

Source package slim (1.4.1-1devuan1+excalibur1) added to Devuan suite excalibur-proposed-updates.

This closes bug report 857.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Sat, 11 Oct 2025 09:24:18 +0100
Source: slim
Architecture: source
Version: 1.4.1-1devuan1+excalibur1
Distribution: excalibur-proposed-updates
Urgency: medium
Maintainer: Devuan Dev Team <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 857 912
Changes:
 slim (1.4.1-1devuan1+excalibur1) excalibur-proposed-updates; urgency=medium
 .
   [ Plasma (David Paul) ]
   * (Re-)Re-enable building with ConsoleKit support. (Closes: #912)
     - d/rules: Set CMAKE_FLAGS to include -DUSE_CONSOLEKIT=yes.
     - d/control: Build-Depends: libck-connector-dev.
 .
   [ tempforever ]
   * Patch to fix auto_login regression introduced in 1.4.1. (Closes: #857)
 .
   [ Mark Hindley ]
   * app.h: add missing include to fix FTBFS.
   * d/control: bump Standards Version (no changes).
Checksums-Sha1:
 faa41fa45af8258b05638ccd90525f997c89725b 1879 slim_1.4.1-1devuan1+excalibur1.dsc
 c13ee3bc013a5a2a28570647d45d5639c85233ec 34484 slim_1.4.1-1devuan1+excalibur1.debian.tar.xz
 5048f4f950a0fd332d4d6028caba7c397b5eb5b7 5629 slim_1.4.1-1devuan1+excalibur1_source.buildinfo
Checksums-Sha256:
 84112d6e19202ce76f17a4773e6b6a937aea23e63f387bd9d18a6cb63b054f5f 1879 slim_1.4.1-1devuan1+excalibur1.dsc
 d0b2994f14477edb2e91db079fa67cb7c904e2304cf46d09f3907daf900a229f 34484 slim_1.4.1-1devuan1+excalibur1.debian.tar.xz
 347b7fdd8524248d9e05808641f12908c73378bc7f276d0cc8401fc0ee1077b6 5629 slim_1.4.1-1devuan1+excalibur1_source.buildinfo
Files:
 ab049927f5749a248b3ca934ae3c8235 1879 x11 optional slim_1.4.1-1devuan1+excalibur1.dsc
 77df353cc4fdd4eb3e8f49dd876e6ef1 34484 x11 optional slim_1.4.1-1devuan1+excalibur1.debian.tar.xz
 a05f5ed20cb3b8e0bd962e1bc0aa3538 5629 x11 optional slim_1.4.1-1devuan1+excalibur1_source.buildinfo

Subject: slim 1.4.1 auto_login window bug
From: tempforever <[email-masked]>
To: [email-masked]
Date: Sat, 24 Aug 2024 20:14:09 -0400

Package: slim
Version: 1.4.1-1devuan1

devuan: excalibur

/etc/slim.conf setting:
auto_login yes

Upon slim start / auto login, a blank window is created, filling up the
desktop screen.  This does not happen with auto_login disabled.  I found
the issue in panel.cpp, the end of the file:

|// As we're only using one monitor, which is only part of the root
window, // replace Root with a viewport window Root =
XCreateSimpleWindow ( Dpy, RealRoot, result.x, result.y, result.width,
result.height, 0, 0, 0); XMapWindow(Dpy, Root); XFlush(Dpy); If those
lines are commented out, the blank window is not created even with
auto_login enabled. I don't know if that will cause a different issue,
though. I only have 1 monitor on that computer for now, I have not
tested with multiple monitors. Maybe someone who actually knows what
they are doing can fix this? |